%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

Name:           supybot-pinglists
Version:        0.1.1
Release:        1%{?dist}
Summary:        Ping lists plugin for Supybot

Group:          Applications/Internet
License:        BSD
URL:            http://git.fedorahosted.org/git/supybot-pinglists.git
Source0:        https://fedorahosted.org/released/supybot-pinglists/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       supybot

BuildArch:      noarch
BuildRequires:  python2-devel

%description
A Supybot plugin which allows users to ping lists of people
in an IRC channel.


%prep
xzcat %{SOURCE0} | tar -xf -
%setup -qDT


%build


%install
rm -rf %{buildroot}
install -dm 0755 %{buildroot}/%{python_sitelib}/supybot/plugins/PingLists
install -pm 0644 *.py %{buildroot}/%{python_sitelib}/supybot/plugins/PingLists


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README COPYING
%{python_sitelib}/supybot/plugins/PingLists


%changelog
* Tue Mar 01 2011 Ricky Zhou <ricky@fedoraproject.org> - 0.1.1-1
- Upstream released a new version.

* Tue Mar 01 2011 Ricky Zhou <ricky@fedoraproject.org> - 0.1-1
- Initial RPM package.
